V19.0
get
/ec-designer-edc-svc/rest/v19.0/studies/{studyId}/versions/{version}/forms/unblinded
Returns unblinded forms for the requested study version. Optional query parameters can request lite payloads, include extended properties, filter by form category, and include dynamic data. Compared with v18.0, this version uses v19 response mapping and includes hidden code list items.
Request
Path Parameters
-
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
dynamicData: boolean
Include dynamic data in response (optional).Default Value:
true -
formCategory: string
Form category filter (optional). Allowed values: DCS, NSF, ALL.Default Value:
DCS -
includeExtProps: boolean
Include extended properties (optional).Default Value:
false -
isLiteAPI: boolean
Return lite payload only (optional).Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Unblinded forms returned successfully.
Nested Schema : RespFormDto
Type:
Show Source
object-
allowMultipleInstances: boolean
Allow multiple instancesExample:
true -
assignedVisits: array
assignedVisits
Branch-cycle details describing visits where this form is displayed.
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formCategory: string
Form categoryExample:
DCS -
formSubcategory: array
formSubcategory
Form subcategory list.
-
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form typeExample:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form ID (UUID).
-
includeInSafetyCaseData: boolean
Is form associated to Safety Case FormsExample:
true -
items: array
items
Form item definitions.
-
linkFrom: array
linkFrom
Forms linked to this form.
-
logoFileName: string
Logo file name.Example:
study-logo.png -
logoFileUploadRequest: object
FileUploadRequest
Logo upload request details.
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
showFrom: array
showFrom
Dynamic parent dependencies from forms on the same visit.
-
source: object
FormCopySourceDto v21.0
Title:
FormCopySourceDto v21.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Nested Schema : assignedVisits
Type:
arrayBranch-cycle details describing visits where this form is displayed.
Show Source
-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"VISIT_1"
}
]Nested Schema : formSubcategory
Type:
arrayForm subcategory list.
Show Source
-
Array of:
string
Form subcategory list.Example:
["SCREENING","BASELINE"]
Example:
[
"SCREENING",
"BASELINE"
]Nested Schema : items
Type:
arrayForm item definitions.
Show Source
-
Array of:
object FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"formId":"B1B8327AFAA6412287106192AB5984EA",
"questionType":"numeric",
"questionLabel":"Age",
"refname":"AGE_01",
"required":true,
"sdvRequired":"NEVER"
}
]Nested Schema : linkFrom
Type:
arrayForms linked to this form.
Show Source
-
Array of:
object FormLinkFromDto v21.0
Title:
FormLinkFromDto v21.0Linked From Form Details
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
"B1B8327AFAA6412287106192AB5984EA"
]
}
]Nested Schema : FileUploadRequest
Type:
objectLogo upload request details.
Show Source
-
contentType: string
File content type.Example:
image/png -
fileName(required): string
File nameExample:
File1001 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test, active, or training -
name(required): string
Random name for bucket where file uploadedExample:
1A73BC4FE4954AE4AC50DDF9729F80BE
Example:
{
"name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
"mode":"design",
"fileName":"study-logo.png",
"contentType":"image/png"
}Nested Schema : showFrom
Type:
arrayDynamic parent dependencies from forms on the same visit.
Show Source
-
Array of:
object FormLinkFromDto v21.0
Title:
FormLinkFromDto v21.0Linked From Form Details
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
{
"id":"B1B8327AFAA6412287106192AB5984EA",
"label":"PARENT_ITEM"
}
],
"parentAssignedVisits":[
{
"id":"B1B8327AFAA6412287106192AB5984EB",
"label":"VISIT_1"
}
]
}
]Nested Schema : FormCopySourceDto v21.0
Type:
objectTitle:
FormCopySourceDto v21.0Form Copy Source Information
Show Source
-
formId: string
(uuid)
Source form ID (UUID).
-
rules: boolean
Indicates whether rules were copied from the source form.Example:
false -
studyId: string
(uuid)
Source study ID (UUID).
-
studyTitle: string
Source study title.Example:
Study-s1 -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Example:
{
"studyId":"B1B8327AFAA6412287106192AB5984EF",
"studyTitle":"Study-s1",
"formId":"B1B8327AFAA6412287106192AB5984EA",
"versionStart":"2025-04-30T09:24:15Z",
"rules":false
}Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type:
objectTitle:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Show Source
-
id: string
(uuid)
Extended property ID (UUID, 32-character uppercase hexadecimal string).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
parentObjectId: string
(uuid)
Parent object ID (UUID, 32-character uppercase hexadecimal string).
-
parentObjectLabel: string
Parent object label.Example:
Demographics -
parentObjectLevel: string
Parent object level.Example:
FORM -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. The meaning depends on the advanced property name.Example:
C2C8327AFAA6412287106192AB5984EF
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"AssignedVisit",
"name":"Visit",
"value":"D3D8327AFAA6412287106192AB5984EF",
"label":"Screening",
"parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"parentObjectLabel":"Demographics",
"parentObjectLevel":"FORM"
}Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type:
objectTitle:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Show Source
-
label: string
Rule label.Example:
Yes -
name: string
Rule name.Example:
RolloverQuestionAnswer -
value: string
Rule value.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"RolloverQuestionAnswer",
"value":"YES",
"label":"Yes"
}Nested Schema : FormItemDto v21.0
Type:
objectTitle:
FormItemDto v21.0Discriminator: questionType
Discriminator Values
- datetime
- numeric
- measurement
- text
- choice
- questionGroup
- table
- section
- label
- instructionalText
- existingData
- fileUpload
Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
Data classification entries.
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
Number of preceding questions that must be answered before this dynamic item is included in the form.Example:
0 -
e2br3Mapping: array
e2br3Mapping
E2B R3 mapping entries.
-
formId: string
(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string).
-
formTitle: string
Title of the form that contains the item.Example:
Demographics -
formula: string
Smart item formula.Example:
[{"ruleName":"AGE","ruleExpression":"AgeInYears(AGE_DOB_01, visitDate)"}] -
groupSequence: integer
(int32)
Group sequence.Example:
3 - hidden: boolean
-
id: string
(uuid)
Form item ID (UUID, 32-character uppercase hexadecimal string).
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Form item type. Possible values include text, datetime, numeric, choice, questionGroup, instructionalText, existingData, table, section, label, and fileUpload.Example:text -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Indicates whether an answer is required for this form item.Example:
true -
requiredDispensation: boolean
Indicates whether the form item is tagged as required for dispensation event minimum data collection.Example:
false -
requiredForCaseCreate: boolean
Indicates whether the form item is required for safety case creation minimum data collection.Example:
false -
requiredRandomization: boolean
Indicates whether the form item is tagged as required for randomization event minimum data collection.Example:
false -
requiredScreening: boolean
Indicates whether the form item is tagged as required for screening event minimum data collection.Example:
true -
ruleSet: string
A JSON-formatted set of validation rules for the answer.Example:
{"logicalOperator":"NONE","rules":[],"numberIndex":1} -
sasLabel: string
SAS label for the form item when configured.Example:
Subject Initials -
sasVariable: string
SAS variable name for the form item when configured.Example:
SUBJINIT -
sdvRequired(required): string
Source data verification setting. Possible values are NOTSET, NEVER, ALWAYS, and CRITICAL.Example:
NEVER -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item ID (UUID, 32-character uppercase hexadecimal string).
-
smartObject: string
Smart object.Example:
AGE -
triggerFollowupCase: boolean
Indicates whether the form item can trigger a follow-up safety case.Example:
false -
visitIds: array
visitIds
Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Match One Schema
Show Source
-
object
FormNumberItemDto v21.0
Title:
FormNumberItemDto v21.0Numeric or measurement form item returned from a study form. -
object
FormChoiceItemDto v21.0
Title:
FormChoiceItemDto v21.0Choice form item returned from a study form, including selectable options when configured. -
object
FormTextItemDto v21.0
Title:
FormTextItemDto v21.0Text form item returned from a study form. -
object
FormDatetimeItemDto v21.0
Title:
FormDatetimeItemDto v21.0Date or date-time form item returned from a study form. -
object
FormQuestionGroupItemDto v21.0
Title:
FormQuestionGroupItemDto v21.0Question group form item returned from a study form. Nested items contain the questions in the group. -
object
FormTableItemDto v21.0
Title:
FormTableItemDto v21.0Form Table Item Details Information -
object
FormSectionalItemDto v21.0
Title:
FormSectionalItemDto v21.0Form Sectional Item Details Information -
object
FormLabelItemDto
-
object
FormInstructionalTextItemDto v21.0
Title:
FormInstructionalTextItemDto v21.0Instructional text item returned from a study form. -
object
FormExistingDataItemDto v21.0
Title:
FormExistingDataItemDto v21.0Existing-data form item returned from a study form. -
object
FormFileUploadItemDto v21.0
Title:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Example:
{
"questionType":"text",
"id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"visitIds":[
"7B4F1B4C9E874845A67B2A83251F9012"
],
"formTitle":"Demographics",
"questionLabel":"Subject Initials",
"questionHint":"Enter the subject initials.",
"refname":"SUBJ_INIT",
"required":true,
"dynamic":0,
"hidden":false,
"readOnly":false,
"sdvRequired":"NEVER",
"sequence":1,
"groupSequence":1,
"sasVariable":"SUBJINIT",
"sasLabel":"Subject Initials"
}Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Advanced property associated with a form item.
Nested Schema : dataClassificationIds
Type:
arrayData classification entries.
Show Source
-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Advanced property associated with a form item.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"DATA_CLASSIFICATION",
"name":"CLASSIFICATION_ID",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Confidential"
}
]Nested Schema : e2br3Mapping
Type:
arrayE2B R3 mapping entries.
Show Source
-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Advanced property associated with a form item.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"E2BR3",
"name":"E2B_FIELD",
"value":"PATIENT_AGE",
"label":"Patient Age"
}
]Nested Schema : visitIds
Type:
arrayVisit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Show Source
-
Array of:
string(uuid)
Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Example:
[
"7B4F1B4C9E874845A67B2A83251F9012",
"8C5F1B4C9E874845A67B2A83251F9013"
]Nested Schema : FormNumberItemDto v21.0
Type:
objectTitle:
FormNumberItemDto v21.0Numeric or measurement form item returned from a study form.
Match All
Numeric or measurement form item returned from a study form.
Numeric or measurement form item returned from a study form.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormNumberItemDto v21.0-allOf[1]
Example:
{
"questionType":"numeric",
"id":"2C6A91D5D3384DA8B8E8DD1A28B69E31",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Vitals",
"questionLabel":"Weight",
"refname":"WEIGHT",
"required":true,
"sdvRequired":"ALWAYS",
"sequence":2,
"precision":1,
"units":"kg"
}Nested Schema : FormChoiceItemDto v21.0
Type:
objectTitle:
FormChoiceItemDto v21.0Choice form item returned from a study form, including selectable options when configured.
Match All
Choice form item returned from a study form, including selectable options when configured.
Choice form item returned from a study form, including selectable options when configured.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormChoiceItemDto v21.0-allOf[1]
Example:
{
"questionType":"choice",
"id":"4A9CE0F0A13A4F4C903C18EBB8B1C552",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Demographics",
"questionLabel":"Sex",
"refname":"SEX",
"required":true,
"sdvRequired":"NEVER",
"sequence":4,
"display":"radioset",
"columnLayout":"EBCF17C5F8D4460AA4A9673485C79CF0",
"columnLayoutLabel":"Single",
"options":[
{
"label":"Female",
"value":"F",
"clCode":"F",
"clDescription":"Female",
"clValue":"Female",
"clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
"hidden":false,
"optionSeq":"1"
}
],
"clTitle":"Sex",
"clDescription":"Standard sex codelist",
"isCodeListReplaced":false,
"codelistLinkType":"STATIC",
"codelistId":"EBCF17C5F8D4460AA4A9673485C79CF0",
"codelistLang":"en-US"
}Nested Schema : FormTextItemDto v21.0
Type:
objectTitle:
FormTextItemDto v21.0Text form item returned from a study form.
Match All
Text form item returned from a study form.
Text form item returned from a study form.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormTextItemDto v21.0-allOf[1]
Example:
{
"questionType":"text",
"id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Demographics",
"questionLabel":"Subject Initials",
"refname":"SUBJ_INIT",
"required":true,
"sdvRequired":"NEVER",
"sequence":1,
"maxlength":4000,
"multiline":false
}Nested Schema : FormDatetimeItemDto v21.0
Type:
objectTitle:
FormDatetimeItemDto v21.0Date or date-time form item returned from a study form.
Match All
Date or date-time form item returned from a study form.
Date or date-time form item returned from a study form.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormDatetimeItemDto v21.0-allOf[1]
Example:
{
"questionType":"datetime",
"id":"D42F5888C55B4E7B9E25F1A7C1F0B8D4",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Demographics",
"questionLabel":"Date of Birth",
"refname":"DOB",
"required":true,
"sdvRequired":"ALWAYS",
"sequence":3,
"format":"DD-MON-YYYY",
"allowPartialDate":1,
"partialDate":"MON-YYYY",
"allowFutureDate":0
}Nested Schema : FormQuestionGroupItemDto v21.0
Type:
objectTitle:
FormQuestionGroupItemDto v21.0Question group form item returned from a study form. Nested items contain the questions in the group.
Match All
Question group form item returned from a study form. Nested items contain the questions in the group.
Question group form item returned from a study form. Nested items contain the questions in the group.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormQuestionGroupItemDto v21.0-allOf[1]
Example:
{
"questionType":"questionGroup",
"id":"6B6C22EAD8AC42F8952E73B9A62219D1",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Medical History",
"questionLabel":"Medication Details",
"refname":"MED_GRP",
"required":false,
"sdvRequired":"NEVER",
"sequence":5,
"items":[
{
"questionType":"text",
"id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"questionLabel":"Medication Name",
"refname":"MED_NAME",
"required":true,
"sdvRequired":"NEVER",
"sequence":1,
"maxlength":200,
"multiline":false
}
]
}Nested Schema : FormTableItemDto v21.0
Type:
objectTitle:
FormTableItemDto v21.0Form Table Item Details Information
Match All
Form Table Item Details Information
Form Table Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormTableItemDto v21.0-allOf[1]
Nested Schema : FormSectionalItemDto v21.0
Type:
objectTitle:
FormSectionalItemDto v21.0Form Sectional Item Details Information
Match All
Form Sectional Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v16.0
Title:
FormItemDto v16.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov16", "numeric":"#/components/schemas/FormNumberItemDtov16", "measurement":"#/components/schemas/FormNumberItemDtov16", "text":"#/components/schemas/FormTextItemDtov16", "choice":"#/components/schemas/FormChoiceItemDtov16", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov16", "table":"#/components/schemas/FormTableItemDtov16", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItemDto v21.0
Type:
objectTitle:
FormInstructionalTextItemDto v21.0Instructional text item returned from a study form.
Match All
Instructional text item returned from a study form.
Instructional text item returned from a study form.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormInstructionalTextItemDto v21.0-allOf[1]
Example:
{
"questionType":"instructionalText",
"id":"A6BB54DE91324969AB3BC4079E771295",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Demographics",
"questionLabel":"Instructions",
"refname":"DEMOG_INST",
"required":false,
"sdvRequired":"NEVER",
"sequence":6,
"instructionalText":"Please complete all required demographic questions."
}Nested Schema : FormExistingDataItemDto v21.0
Type:
objectTitle:
FormExistingDataItemDto v21.0Existing-data form item returned from a study form.
Match All
Existing-data form item returned from a study form.
Existing-data form item returned from a study form.
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormExistingDataItemDto v21.0-allOf[1]
Example:
{
"questionType":"existingData",
"id":"2E4E9F0B3F124D938E7B70E9527E05D4",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"formTitle":"Site Information",
"questionLabel":"Site Name",
"refname":"SITE_NAME",
"required":false,
"sdvRequired":"NEVER",
"sequence":7,
"existingDataCodeName":"EDLSite",
"existingDataCodeValue":"SiteName"
}Nested Schema : FormFileUploadItemDto v21.0
Type:
objectTitle:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Match All
Form File Upload Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormItemAdvancedPropDto v21.0
Type:
objectTitle:
FormItemAdvancedPropDto v21.0Advanced property associated with a form item.
Show Source
-
id: string
(uuid)
Extended property ID (UUID, 32-character uppercase hexadecimal string).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. The meaning depends on the advanced property name.Example:
C2C8327AFAA6412287106192AB5984EF
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"RolloverQuestion",
"name":"RolloverQuestionStudyId",
"value":"C2C8327AFAA6412287106192AB5984EF",
"label":"Rollover Study BT-31",
"rules":[
{
"name":"RolloverQuestionAnswer",
"value":"YES",
"label":"Yes"
}
]
}Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormNumberItemDto v21.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number of digits allowed after the decimal point. Minimum value: 0.Example:1 -
units: string
Unit of measure displayed with the numeric answer when configured.Example:
kg
Nested Schema : FormChoiceItemDto v21.0-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
codelistId: string
(uuid)
ID of the codelist used by the choice item (UUID, 32-character uppercase hexadecimal string).
-
codelistLang: string
Language of the codelist used by the choice item.Example:
en-US -
codelistLinkType: string
Allowed Values:
[ "STATIC", "DYNAMIC" ]Indicates whether the codelist mapped to the item is static or dynamic.Example:STATIC -
columnLayout: string
Column layout codelist ID (UUID, 32-character uppercase hexadecimal string).Example:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Column layout label displayed for the choice item.Example:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelDisplay control used for the choice item. Allowed values: selectbox, checkbox, radioset, or label.Example:radioset -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v21.0
Title:
FormOptionDto v21.0Selectable option returned for a choice form item.
Nested Schema : FormOptionDto v21.0
Type:
objectTitle:
FormOptionDto v21.0Selectable option returned for a choice form item.
Show Source
-
clCode: string
Codelist code for the choice option when linked to a codelist.Example:
F -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for the choice option when linked to a codelist.Example:Female -
clItemId: string
(uuid)
Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
-
clValue: string
Codelist value for the choice option when linked to a codelist.Example:
Female - hidden: boolean
-
label: string
Minimum Length:
1Maximum Length:4000Display label for the choice option.Example:Female -
optionSeq: string
Minimum Length:
1Maximum Length:4000Sequence value for ordering the choice option.Example:1 -
value: string
Minimum Length:
1Maximum Length:4000Stored answer value for the choice option.Example:F
Example:
{
"label":"Female",
"value":"F",
"clCode":"F",
"clDescription":"Female",
"clValue":"Female",
"clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
"hidden":false,
"optionSeq":"1"
}Nested Schema : FormTextItemDto v21.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Maximum number of characters allowed for the text answer. Allowed range: 0 to 4000.Example:4000 -
multiline: boolean
Indicates whether the text answer supports multiple lines.Example:
false
Nested Schema : FormDatetimeItemDto v21.0-allOf[1]
Type:
Show Source
object-
allowFutureDate: integer
(int32)
Minimum Value:
0Maximum Value:1Indicates whether future dates are allowed. Allowed values: 0 or 1.Example:0 -
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Indicates whether partial dates are allowed. Allowed values: 0 or 1.Example:1 -
format: string
Date or date-time display format for the answer.Example:
DD-MON-YYYY -
partialDate: string
Partial date format returned when partial dates are allowed.Example:
MON-YYYY
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormItemDto v16.0
Type:
objectTitle:
FormItemDto v16.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v16.0
Title:
FormNumberItemDto v16.0Form Number Item Details Information -
object
FormChoiceItemDto v16.0
Title:
FormChoiceItemDto v16.0Form Choice Item Details Information -
object
FormTextItemDto v16.0
Title:
FormTextItemDto v16.0Form text Item Details Information -
object
FormDatetimeItemDto v16.0
Title:
FormDatetimeItemDto v16.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v16.0
Title:
FormQuestionGroupItemDto v16.0Form Question Group Item Details Information -
object
FormTableItemDto v16.0
Title:
FormTableItemDto v16.0Form table Item Details Information -
object
FormLabelItemDto
Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v16.0
Title:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v16.0
Title:
FormOptionDto v16.0Form choice item option details
Nested Schema : From Item Advanced Property With Parent v16.0
Type:
objectTitle:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v16.0
Title:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v16.0
Type:
objectTitle:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormOptionDto v16.0
Type:
objectTitle:
FormOptionDto v16.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormInstructionalTextItemDto v21.0-allOf[1]
Type:
Show Source
object-
instructionalText: string
Instructional text displayed with the form item.Example:
Please complete all required demographic questions.
Nested Schema : FormExistingDataItemDto v21.0-allOf[1]
Type:
Show Source
object-
existingDataCodeName: string
Existing-data codelist name. The value must come from the ExistingDataLabels codelist.Example:
EDLSite -
existingDataCodeValue: string
Existing-data codelist value. The value must come from the codelist identified by existingDataCodeName.Example:
SiteName
Nested Schema : FormLinkFromDto v21.0
Type:
objectTitle:
FormLinkFromDto v21.0Linked From Form Details
Show Source
-
formId: string
(uuid)
Form ID (UUID).
-
items: array
items
Linked parent item details.
-
parentAssignedVisits: array
parentAssignedVisits
Parent assigned visit details.
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
{
"id":"B1B8327AFAA6412287106192AB5984EA",
"label":"PARENT_ITEM"
}
],
"parentAssignedVisits":[
{
"id":"B1B8327AFAA6412287106192AB5984EB",
"label":"VISIT_1"
}
]
}
]Nested Schema : items
Type:
arrayLinked parent item details.
Show Source
-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"PARENT_ITEM"
}
]Nested Schema : parentAssignedVisits
Type:
arrayParent assigned visit details.
Show Source
-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"VISIT_1"
}
]Examples
500 Response
Unexpected server error while retrieving unblinded forms.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples